summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorYu Watanabe <watanabe.yu+github@gmail.com>2019-02-22 18:00:54 +0900
committerYu Watanabe <watanabe.yu+github@gmail.com>2019-02-25 12:41:11 +0900
commit051f39c22718ee5451cac44ad469f51b73baf636 (patch)
treea9a94e9c54dc287f1a663216d8676627da121b97 /tools
parent810d43a8e86aacce6c50e196e117ddb7c3f71aa8 (diff)
downloadsystemd-051f39c22718ee5451cac44ad469f51b73baf636.tar.gz
tools: check all directives even if it detects non-updated files
Diffstat (limited to 'tools')
-rwxr-xr-xtools/check-directives.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/tools/check-directives.sh b/tools/check-directives.sh
index 1c20947b4b..99f8f9d451 100755
--- a/tools/check-directives.sh
+++ b/tools/check-directives.sh
@@ -10,17 +10,20 @@ function generate_directives() {
}}' "$1"
}
+ret=0
if [[ $(generate_directives src/network/networkd-network-gperf.gperf | wc -l) -ne $(wc -l <test/fuzz/fuzz-network-parser/directives.network) ]]; then
echo "Looks like test/fuzz/fuzz-network-parser/directives.network hasn't been updated"
- exit 1
+ ret=1
fi
if [[ $(generate_directives src/network/netdev/netdev-gperf.gperf | wc -l) -ne $(wc -l <test/fuzz/fuzz-netdev-parser/directives.netdev) ]]; then
echo "Looks like test/fuzz/fuzz-netdev-parser/directives.netdev hasn't been updated"
- exit 1
+ ret=1
fi
if [[ $(generate_directives src/udev/net/link-config-gperf.gperf | wc -l) -ne $(wc -l <test/fuzz/fuzz-link-parser/directives.link) ]]; then
echo "Looks like test/fuzz/fuzz-link-parser/directives.link hasn't been updated"
- exit 1
+ ret=1
fi
+
+exit $ret